D.5. capinfos: Print information about capture files
Prev | Appendix D. Related command line tools | Next

## D.5. capinfos: Print information about capture files

`capinfos` can print information about capture files including the file type, number of packets, date and time information, and file hashes. Information can be printed in human and machine readable formats. For more information on `capinfos` consult your local manual page (`man capinfos`) or the online version.

Help information available from `capinfos`.

    Capinfos (Wireshark) 4.6.4 (v4.6.4rc0-3-g4857e26d586d)
    Print various information (infos) about capture files.
    See https://www.wireshark.org for more information.

    Usage: capinfos [options] <infile> ...

    General infos:
      -t display the capture file type
      -E display the capture file encapsulation
      -I display the capture file interface information
      -F display additional capture file information
      -H display the SHA256 and SHA1 hashes of the file
      -k display the capture comment
      -p display individual packet comments

    Size infos:
      -c display the number of packets
      -s display the size of the file (in bytes)
      -d display the total length of all packets (in bytes)
      -l display the packet size limit (snapshot length)

    Time infos:
      -u display the capture duration (in seconds)
      -a display the timestamp of the earliest packet
      -e display the timestamp of the latest packet
      -o display the capture file chronological status (True/False)
      -S display earliest and latest packet timestamps as seconds

    Statistic infos:
      -y display average data rate (in bytes/sec)
      -i display average data rate (in bits/sec)
      -z display average packet size (in bytes)
      -x display average packet rate (in packets/sec)

    Metadata infos:
      -n display number of resolved IPv4 and IPv6 addresses
      -D display number of decryption secrets

    Output format:
      -L generate long report (default)
      -T generate table report
      -M display machine-readable values in long reports

    Table report options:
      -R generate header record (default)
      -r do not generate header record

      -B separate infos with TAB character (default)
      -m separate infos with comma (,) character
      -b separate infos with SPACE character

      -N do not quote infos (default)
      -q quote infos with single quotes (')
      -Q quote infos with double quotes (")

    Miscellaneous:
      -h, --help               display this help and exit
      -v, --version            display version info and exit
      -C cancel processing if file open fails (default is to continue)
      -A generate all infos (default)
      -K disable displaying the capture comment
      -P disable displaying individual packet comments

    Options are processed from left to right order with later options superseding
    or adding to earlier options.

    If no options are given the default is to display all infos in long report
    output format.

Prev | Up | Next
D.4. dumpcap: Capturing with “dumpcap” for viewing with Wireshark | Home | D.6. captype: Prints the types of capture files